Properties
Find Properties
This endpoint finds units with the list of body attributes passed to it.
POST
You need to provide exact matches in the body of the request for the attributes of the units you are looking for. You can provide either a list of group ids through theDocumentation Index
Fetch the complete documentation index at: https://docs2.travtus.com/llms.txt
Use this file to discover all available pages before exploring further.
group_ids parameter or a list of group external references through the groups_external_refs attribute to filter the list of retrieved units down.
Do not provide both, as this will result in the request failing.
If no group_ids or group_external_refs are specified in the request body, the authenticated user will retrieve unit records for all groups they have access to.
Header
The authentication token for your request.
Body
The list of group ids for filtering the retrieved list.
The list of group external references for filtering the retrieved list.
An external reference for the unit you want to find.This is typically an identifier you may use for unit records in your own system.
The internal reference for the units you want to find.
Whether the units you want to retrieve are flex apartments or not.
The number of bathrooms the units you want to find have.
The number of bedrooms the units you want to find have.
The square feet surface for the units you want to find.
The number of the units you want to find.
Address information for the units you want to find.
The API returns a maximum of 100 records per call.You can use this parameter to load the next set of records by passing in the value returned in the response, under
last_id.Response
The last id in the set of results returned for this API call.You can use this value in the
after-id parameter to load the next set of results.If there are no more results to load, this value will be -1.The list of units retrieved by the endpoint
Errors
Listed below are common errors that may be returned by the endpoint, along with their corresponding status code. Status Code - 400Missing Authorization header
Expired Authorization header bearer token value
Invalid Authorization header bearer token value
Both group ids and external refs provided for the unit find operation
No unit records found for the provided parameters

